# -*- coding:UTF-8 -*-

from db.mod_db import DataBase


class ProductDao:
    def __init__(self, db=None):
        if db is None:
            self.dataBase = DataBase()
        else:
            self.dataBase = db

    def select(self, company_name):
        return self.dataBase.fetch_all(
            "select * from `tj_product_depth_final` where company_name = '%s' order by business_opportunity_id desc" % company_name)

